<template>
  <q-page padding>
    <h3>About Prophet Zero</h3>
    <h6>
    For our project, we want to build a Cyber Threat Intelligence tool that allows users to search for malware by its behaviors rather than traditional IoCs 
    (Indicators of Compromise). We plan to utilise a combination of static and dynamic analysis techniques to create a profile database of behaviors of malware sample, 
    which can be queried and analysed.
    </h6>

    <q-space />

    <h6>
    Our motivation is to make it easier for cybersecurity professionals to identify and classify threats in their environment. 
    Having a profile focused more on behavior than IoCs will be beneficial because whereas IoCs can change between different strains, 
    and threat actors, the behavior will remain very similar. Having this information available in a searchable format will allow for faster remediation of threats 
    by defenders, and be valuable to researchers looking to collect information on new threats.
    </h6>

    <q-space />

    <h6>
    We would aim to analyze telemetry such as registry modification, file modifications, network activity, DLL access and loading, process tampering, win32api calls, and system calls across a corpus of malware to generate a database that can later be queried. 
    We aim to focus our analysis on Windows Portable Executable files. We plan on starting with The Zoo repository for our initial dataset, however time permitting we will expand our scope to look at other datasets, 
    and consider interpreted languages such as powershell scripts, javascript, and vbscript. We aim to look to existing CTI feeds for inspiration on how to best present the information collected.
    </h6>

    <q-space />

    <h6>
    Our project will consist of two parts, the first being the web server to communicate the collected information, 
    and the second being an analysis tool. We are interested in using Rust whenever possible as it is loved by our team. 
    Displaying the collected information in an informative and efficient way will be a priority. 
    Additionally, we propose providing a supplementary tool that can integrate with MISP, as allowing for automated sample submissions may be beneficial.
    </h6>

    <q-space />

    <h6>
    To analyse malicious samples we plan to use a combination of dynamic and static analysis. We will include deobfuscation methods to identify and deobfuscate data, and identify if packing techniques are being used. We will use tools such angr, and radare2 to disassemble the binaries, 
    and collect and analyse execution paths and control flow. Using a sandboxed environment, we will observe the binaries behavior, and collect any additional data. We describe the sample behaviors as a set of features, which will include subsystems and features of the operating system that were used, 
    and how they were used. We will also attempt to predict sections that might be varied, such as filenames that are randomly generated. Time permitting it may also be valuable to map the observed techniques to TTPs, but that may be unreasonable to accomplish within the time constraints. 
    Finally, we will save the data collected from the sample as a flow graph, and a set of features.
    </h6>

  </q-page>
</template>

<script>
export default {
  // name: 'PageName',
  
}

</script>
